LINUX.ORG.RU

Несовместимые версии пакетов в репозиториях Debian

 ,


0

1

После апдейта до семёрки, оказалось, что в системе установлены пакеты libasound2 версии 1.0.25-4 и lubasound2-plugins версии 1.0.27-2, из-за чего не работает вывод звука через alsa. При этом, в репах эти пакеты присутствуют только в этих версиях, ни обновить libasound2, ни даунгрейднуть lubasound2-plugins возможности нет. Что с таким говном обычно делают прожжённые дебианщики?

$ cat /etc/apt/sources.list
# 

deb http://ftp.ru.debian.org/debian/ squeeze main contrib non-free
deb-src http://ftp.ru.debian.org/debian/ squeeze main contrib non-free

deb http://security.debian.org/ squeeze/updates main contrib non-free
deb-src http://security.debian.org/ squeeze/updates main contrib non-free

# backports
#deb http://backports.debian.org/debian-backports squeeze-backports main contrib non-free

#Testing
#deb http://ftp.us.debian.org/debian testing main non-free contrib

★★★★★

Не было печали — апдейтов накачали.

anonymous ()
Ответ на: комментарий от Axon

Как это «конечно»?

sources.list имеет право трогать только человек.
А dist-upgrade это тот-же upgrade, только

In addition to performing the function of upgrade, this option also intelligently handles changing dependencies with new versions of packages; apt-get has a "smart" conflict resolution system, and it will attempt to upgrade the most important packages at the expense of less important ones, if necessary.

Debasher ★★★★★ ()
Ответ на: комментарий от tazhate

Сносят через dpkg все версии и ставят из реп.

А я их откуда поставил?

Axon ★★★★★ ()
Ответ на: комментарий от Axon

Буквально. Ты не можешь обновиться до wheezy, если у тебя squeeze в sources. Апгрейд без ручной правки файла возможен только при использовании «stable» вместо имён.

Gotf ★★★ ()
Ответ на: комментарий от Axon

Где здесь написано хоть что-нибудь про sources.list?

       full-upgrade
           Upgrades installed packages to their most recent version, removing or installing packages as necessary. This command is less conservative than safe-upgrade and thus more likely
           to perform unwanted actions. However, it is capable of upgrading packages that safe-upgrade cannot upgrade.

           If no <package>s are listed on the command line, aptitude will attempt to upgrade every package that can be upgraded. Otherwise, aptitude will attempt to upgrade only the
           packages which it is instructed to upgrade. The <package>s can be extended with suffixes in the same manner as arguments to aptitude install, so you can also give additional
           instructions to aptitude here; for instance, aptitude full-upgrade bash dash- will attempt to upgrade the bash package and remove the dash package.

               Note
               This command was originally named dist-upgrade for historical reasons, and aptitude still recognizes dist-upgrade as a synonym for full-upgrade.
anonymous ()
Ответ на: комментарий от Axon

Спасибо, помогло. Интересно, всё же, как ко мне попала такая версия пакета?

Не знаю, лог апта почитай.

tazhate ★★★★★ ()

Брешешь.

: show libasound2
Пакет: libasound2                                
Состояние: установлен
Автоматически установлен: да
Мульти-архитектура: такая же
Версия: 1.0.25-4
: show libasound2-plugins
Пакет: libasound2-plugins                        
Состояние: установлен
Автоматически установлен: да
Мульти-архитектура: такая же
Версия: 1.0.25-2
Deleted ()
Последнее исправление: Mystra_x64 (всего исправлений: 1)
Ответ на: комментарий от Deleted

Ну скажите, зачем мне это? Я не знаю как этот пакет мог попасть в мой стейбл. В логах апта ничего вменяемого не нагрепалось.

Axon ★★★★★ ()
Ответ на: комментарий от Axon

Из бэкпортов, например, если оно там есть. Вообще, попробуй таки wheezy вписать и посмотреть, что будет. Даунгрейдить хотя руками придётся (хоть в интерфейсе того же aptitude), зато будет на что.

: cat /etc/apt/sources.list
# Base
deb http://mirror.yandex.ru/debian stable main contrib non-free
deb-src http://mirror.yandex.ru/debian stable main contrib non-free
deb http://mirror.yandex.ru/debian-security stable/updates main contrib non-free
deb-src http://mirror.yandex.ru/debian-security stable/updates main contrib non-free

# "Volatile"
deb http://mirror.yandex.ru/debian stable-updates main contrib non-free

# Iceweasel
deb http://mozilla.debian.net/ wheezy-backports iceweasel-release
Deleted ()
Ответ на: комментарий от Deleted

Да я уже давно всё починил по совету tazhate, осталось только понять причину проблемы.

Axon ★★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.